From f03c4cccfa543cd9eeb5bd273f93b37720dad230 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 30 Oct 2009 10:57:10 +0100
Subject: [PATCH] Change Requires on ARM to Conflicts

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 pulseaudio.spec |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/pulseaudio.spec b/pulseaudio.spec
index a1f43b0..4329cf5 100644
--- a/pulseaudio.spec
+++ b/pulseaudio.spec
@@ -1,7 +1,7 @@
 Name:           pulseaudio
 Summary:        Improved Linux Sound Server
 Version:        0.9.19
-Release:        1%{?dist}.fa1
+Release:        1%{?dist}.fa2
 License:        LGPLv2+
 Group:          System Environment/Daemons
 Source0:        http://0pointer.de/lennart/projects/pulseaudio/pulseaudio-%{version}.tar.gz
@@ -47,7 +47,11 @@ Obsoletes:      pulseaudio-core-libs
 Provides:       pulseaudio-core-libs
 Requires:       udev >= 145-3
 Requires:       rtkit
+%ifnarch %{arm}
 Requires:	kernel >= 2.6.30
+%else
+Conflicts:	kernel < 2.6.30
+%endif
 
 %description
 PulseAudio is a sound server for Linux and other Unix like operating
@@ -439,6 +443,9 @@ exit 0
 %attr(0600, gdm, gdm) %{_localstatedir}/lib/gdm/.pulse/default.pa
 
 %changelog
+* Fri Oct 30 2009 Jitesh Shah <jiteshs@marvell.com> - 0.9.19-1.fa2
+- change Requires on kernel to Conflicts for ARM
+
 * Thu Oct 29 2009 Jitesh Shah <jiteshs@marvell.com> - 0.9.19-1.fa1
 - compile svolume_arm.c with -march=armv6 (as suggested here http://www.mail-archive.com/debian-bugs-rc@lists.debian.org/msg189931.html)
 
-- 
1.5.5.6

